CGAL 6.2 - 3D Periodic Mesh Generation: Periodic_3MeshDomainWithFeatures_3 Concept Reference

CGAL 6.2 - 3D Periodic Mesh Generation

Loading...
Searching...
No Matches
List of all members | Public Member Functions
Periodic_3MeshDomainWithFeatures_3 Concept Reference
Reference Manual » Concepts

## Definition

Refines
  `MeshDomainWithFeatures_3`
  `Periodic_3MeshDomain_3`

The concept `Periodic_3MeshDomainWithFeatures_3` describes the knowledge required on the object to be discretized.

While the concept `Periodic_3MeshDomain_3` only exposes the 2-dimensional and 3-dimensional features of the periodic domain through different queries, the concept `Periodic_3MeshDomainWithFeatures_3` also exposes 0 and 1-dimensional features. The exposed features of the domain are respectively called subdomains, surface patches, curves, and corners according to their respective dimensions 3, 2, 1, and 0.

From a syntactic point of view, `Periodic_3MeshDomainWithFeatures_3` refines `MeshDomainWithFeatures_3`. However, the various requirements from `MeshDomainWithFeatures_3` must also take into account the periodicity of the domain (see Section Input Domain).

Wrapping any model of `Periodic_3MeshDomain_3` with the class `CGAL::Mesh_domain_with_polyline_features_3` gives a model of `Periodic_3MeshDomainWithFeatures_3`.

Has models
  `CGAL::Mesh_domain_with_polyline_features_3<CGAL::Labeled_mesh_domain_3<BGT> >`

See also
  `CGAL::Periodic_3_function_wrapper<Function,BGT>`
  `CGAL::make_periodic_3_mesh_3()`
  `CGAL::refine_periodic_3_mesh_3()`

## Public Member Functions
template<typename IndicesOutputIterator >
IndicesOutputIterator | get_corner_incident_curves (Corner_index id, IndicesOutputIterator out)
| Returns the indices of the curves incident to the corner `id`, if any.

## Member Function Documentation

## ◆ get_corner_incident_curves()

template<typename IndicesOutputIterator >

IndicesOutputIterator Periodic_3MeshDomainWithFeatures_3::get_corner_incident_curves | ( | Corner_index | id,
|  | IndicesOutputIterator | out
| ) |  |

Returns the indices of the curves incident to the corner `id`, if any.

Template Parameters

  IndicesOutputIterator | must meet the requirements of `OutputIterator`, with value type `MeshDomainWithFeatures_3::Curve_index`.